> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/deployments/get-deployment",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get Deployment

> Get a single deployment by environment and fingerprint.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /deployments/{org}/{env_name}/{fingerprint}
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /deployments/{org}/{env_name}/{fingerprint}:
    get:
      tags:
        - Deployments
      summary: Get Deployment
      description: Get a single deployment by environment and fingerprint.
      operationId: get_deployment_deployments__org___env_name___fingerprint__get
      parameters:
        - name: env_name
          in: path
          required: true
          schema:
            type: string
            title: Env Name
        - name: fingerprint
          in: path
          required: true
          schema:
            type: string
            title: Fingerprint
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeploymentResponse'
        '404':
          description: Resource Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__38
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    DeploymentResponse:
      properties:
        fingerprint:
          type: string
          title: Fingerprint
        artifact_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Artifact Name
        env_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Env Name
        snapshot_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Snapshot Index
        deployed_at:
          type: number
          title: Deployed At
        artifact:
          anyOf:
            - $ref: '#/components/schemas/DeploymentArtifactResponse'
            - type: 'null'
        replaced_artifact:
          anyOf:
            - $ref: '#/components/schemas/ReplacedArtifactResponse'
            - type: 'null'
        diff_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Diff Url
        _links:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Links
      type: object
      required:
        - fingerprint
        - deployed_at
      title: DeploymentResponse
    fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__38:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        errors:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Errors
          description: Validation errors by field
      type: object
      required:
        - message
      title: NotFoundResponseModel
      description: Deployment not found
      examples:
        - message: Deployment not found
    DeploymentArtifactResponse:
      properties:
        flow_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Flow Name
        trail_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Trail Name
        template_reference_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Reference Name
        git_commit:
          anyOf:
            - type: string
            - type: 'null'
          title: Git Commit
        git_commit_info:
          anyOf:
            - $ref: '#/components/schemas/GitCommitInfo'
            - type: 'null'
        repo_info:
          anyOf:
            - $ref: '#/components/schemas/DeploymentRepoInfoResponse'
            - type: 'null'
      type: object
      title: DeploymentArtifactResponse
    ReplacedArtifactResponse:
      properties:
        fingerprint:
          type: string
          title: Fingerprint
        artifact_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Artifact Name
        snapshot_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Snapshot Index
        artifact:
          anyOf:
            - $ref: '#/components/schemas/DeploymentArtifactResponse'
            - type: 'null'
      type: object
      required:
        - fingerprint
      title: ReplacedArtifactResponse
    GitCommitInfo:
      properties:
        sha1:
          type: string
          title: Sha1
          description: The SHA-1 hash of the commit
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: The commit message
        author:
          anyOf:
            - type: string
            - type: 'null'
          title: Author
          description: The commit author
        branch:
          anyOf:
            - type: string
            - type: 'null'
          title: Branch
          description: The branch name
        timestamp:
          anyOf:
            - type: number
            - type: 'null'
          title: Timestamp
          description: The commit timestamp
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
          description: The commit URL
      type: object
      required:
        - sha1
      title: GitCommitInfo
      description: |-
        Git commit information response model.

        Excludes author_username, parents, and url from JSON when not present.
    DeploymentRepoInfoResponse:
      properties:
        name:
          type: string
          title: Name
        repo_id:
          type: string
          title: Repo Id
      type: object
      required:
        - name
        - repo_id
      title: DeploymentRepoInfoResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````